<div id="admin-upsale">
  <div class="d-flex align-center justify-space-between mt-1">
    <div>
      <p class="mb-0 h6 black--text">Upsale</p>
    </div>
  </div>
  <div class="mt-5">
    <v-card class="ui-card pa-5">
      <div class="d-flex align-center justify-space-between">
        <p class="fsize-24 font-weight-bold mb-0">Best Seller</p>
        <v-btn
          color="#076CE3"
          class="elevation-0"
          @click="dialogAddProduct = true"
        >
          <div class="d-flex align-center">
            <v-icon color="#fff"> mdi-plus </v-icon>
            <p class="mb-0 ml-2 white--text text-none">Add Product</p>
          </div>
        </v-btn>
      </div>
      <div class="mt-3">
        <v-skeleton-loader
          class="mx-auto mt-10"
          width="100%"
          type="card"
          v-if="loadingTable"
        >
        </v-skeleton-loader>
        <v-simple-table
          class="scrollTable c-pointer"
          fixed-header
          v-else
          style="border: 1px solid #edeeef; border-radius: 8px 8px 8px 8px"
        >
          <template v-slot:default>
            <thead>
              <tr>
                <th class="px-0 table-head">
                  <div
                    class="d-flex align-center"
                    style="width: 400px; height: 48px"
                  >
                    <p
                      class="mb-0 fsize-12 text-uppercase table-head colorGreyHeaderTable ml-2 captionOverline !font-bold colorGreyHeaderTable ml-2"
                    >
                      Product Name
                    </p>
                  </div>
                </th>
                <th class="text-left px-0 table-head">
                  <div style="width: 150px">
                    <p
                      class="mb-0 fsize-12 text-uppercase table-head colorGreyHeaderTable ml-2 captionOverline !font-bold colorGreyHeaderTable"
                    >
                      Variants
                    </p>
                  </div>
                </th>
                <!-- <th class="text-left px-0 table-head">
                  <div style="width: 150px">
                    <p class="mb-0 fsize-12 text-uppercase table-head colorGreyHeaderTable ml-2 captionOverline !font-bold colorGreyHeaderTable">
                      Stock
                    </p>
                  </div>
                </th> -->
                <th class="text-left px-0 table-head">
                  <div style="width: 200px">
                    <p
                      class="mb-0 fsize-12 text-uppercase table-head colorGreyHeaderTable ml-2 captionOverline !font-bold colorGreyHeaderTable"
                    >
                      Collection
                    </p>
                  </div>
                </th>
                <th class="text-left px-0 table-head">
                  <div style="width: 100px">
                    <p
                      class="mb-0 fsize-12 text-uppercase table-head colorGreyHeaderTable ml-2 captionOverline !font-bold colorGreyHeaderTable"
                    >
                      Price
                    </p>
                  </div>
                </th>
                <th class="text-left px-0 table-head">
                  <div style="width: 150px">
                    <p
                      class="mb-0 fsize-12 text-uppercase table-head colorGreyHeaderTable ml-2 captionOverline !font-bold colorGreyHeaderTable"
                    >
                      Created At
                    </p>
                  </div>
                </th>
                <th class="text-left px-0 table-head">
                  <div style="width: 200px">
                    <p
                      class="mb-0 fsize-12 text-uppercase table-head colorGreyHeaderTable ml-2 captionOverline !font-bold colorGreyHeaderTable"
                    ></p>
                  </div>
                </th>
              </tr>
            </thead>
            <tbody>
              <tr v-for="(product,i) in listAllProduct" :key="product._id">
                <td class="px-0 py-2">
                  <div class="d-flex align-center">
                    <div class="px-3">
                      <div>
                        <v-icon
                          size="28"
                          color="#000000"
                          v-if="i > 0"
                          @click="onChangedStatus(1,product._id)"
                        >
                          mdi-menu-up
                        </v-icon>
                      </div>
                      <div>
                        <v-icon
                          size="28"
                          color="#000000"
                          v-if="i !== listAllProduct.length - 1"
                          @click="onChangedStatus(2,product._id)"
                        >
                          mdi-menu-down
                        </v-icon>
                      </div>
                    </div>
                    <nuxt-link
                      :to="`/admin/products/edit/${product && product.productId && product.productId.slug}`"
                      class="text-decoration-none"
                    >
                      <div class="d-flex align-center">
                        <div class="d-flex align-center">
                          <img
                            :src="convertImage(product)"
                            alt=""
                            style="width: 64px; height: 64px"
                            class="rounded-lg"
                          />
                        </div>
                        <p
                          class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable ml-2"
                        >
                          {{product && product.productId &&
                          product.productId.productName}}
                        </p>
                      </div>
                    </nuxt-link>
                  </div>
                </td>
                <td class="px-0">
                  <p class="mb-0 fsize-14-400">
                    {{product && product.productId &&
                    product.productId.listVariant &&
                    $utils.formatCurrency(product.productId.listVariant.length)}}
                  </p>
                </td>
                <td class="px-0">
                  <p class="mb-0 fsize-14 font-weight-bold lightContentBlue">
                    {{product.productId && product.productId.categoryId &&
                    product.productId.categoryId.name}}
                  </p>
                </td>
                <td class="px-0">
                  <p class="mb-0 fsize-16 font-weight-bold lightContentPrimary">
                    ${{calcPrice(product) &&
                    $utils.formatCurrency(calcPrice(product))}}
                  </p>
                </td>
                <td class="px-0">
                  {{product.createdAt && formatDate(product.createdAt)}}
                </td>
                <td class="px-0">
                  <div class="d-flex align-center">
                    <v-btn
                      color="#FF5252"
                      outlined
                      class="ml-2 px-0"
                      style="min-width: 36px"
                      @click="openDialogDeleteProduct(product._id)"
                    >
                      <v-icon color="#FF5252"> mdi-delete </v-icon>
                    </v-btn>
                  </div>
                </td>
              </tr>
            </tbody>
          </template>
        </v-simple-table>
        <div
          class="d-flex justify-center my-2"
          v-if="listAllProduct.length == 0 && !loadingTable"
        >
          <span>Before you open your store, first you need some products.</span>
        </div>
      </div>
    </v-card>
  </div>

  <!-- <div class="mt-5">
    <v-card class="ui-card pa-5">
      <div class="d-flex align-center justify-space-between">
        <p class="fsize-24 font-weight-bold mb-0">
          Recently Viewed
        </p>
        <div id="hideBottomInput">
          <v-switch inset v-model="statusRecently" @change="onChangeStatusRecently()" class="mt-0" :disabled="loading">
          </v-switch>
        </div>
      </div>
    </v-card>
  </div> -->

  <v-row justify="center">
    <v-dialog v-model="dialogAddProduct" max-width="640">
      <v-card class="pa-0">
        <div class="d-flex align-center justify-space-between py-2 px-4">
          <p class="mb-0 lightContentPrimary fsize-20">Add Product</p>
          <div>
            <v-btn color="#949494" @click="dialogAddProduct = false" icon small>
              <v-icon color="#949494" size="20"> mdi-close </v-icon>
            </v-btn>
          </div>
        </div>
        <v-divider></v-divider>
        <div class="py-5 px-4">
          <div id="hideBottomInput" class="d-sm-flex align-center justify-end">
            <!-- <div class="mr-3">
              <v-autocomplete dense outlined :items="listCollection" item-text="name" item-value="_id"
                v-model="filterCollection" placeholder="Filter By Collection" style="width: 200px">
              </v-autocomplete>
            </div> -->
            <div class="mt-3 mt-sm-0">
              <v-text-field
                dense
                outlined
                v-model="configProduct.search"
                prepend-inner-icon="mdi-magnify"
                @keyup.enter="onGetListProduct()"
                placeholder="Search by name "
              >
              </v-text-field>
            </div>
          </div>
          <p class="mb-0 red--text text-end fsize-12 mt-2">
            Products that already exist in the list will not be added
          </p>
          <div class="mt-3">
            <v-skeleton-loader
              class="mx-auto mt-10"
              width="100%"
              type="card"
              v-if="loadingTableProduct"
            >
            </v-skeleton-loader>
            <v-simple-table
              class="scrollTable c-pointer"
              fixed-header
              v-else
              style="border: 1px solid #edeeef; border-radius: 8px 8px 8px 8px"
            >
              <template v-slot:default>
                <thead>
                  <tr></tr>
                </thead>
                <tbody>
                  <tr v-for="(product,i) in listProduct" :key="product._id">
                    <td class="pa-0">
                      <div class="d-flex align-center">
                        <div class="d-flex align-center">
                          <v-checkbox
                            v-model="listProductIds"
                            :value="product._id"
                            class="pl-3"
                          ></v-checkbox>
                          <img
                            :src="convertImg(product)"
                            alt=""
                            width="32"
                            height="32px"
                            class="rounded-lg"
                            v-if="convertImg(product)"
                          />
                          <div style="width: 32px; height: 32px" v-else></div>
                        </div>
                        <div class="d-flex align-center">
                          <p
                            class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable ml-2"
                            v-if="product.productName.length > 50"
                          >
                            {{product.productName.slice(0,50)}}...
                          </p>
                          <p
                            class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable ml-2"
                            v-else
                          >
                            {{product.productName}}
                          </p>
                        </div>
                      </div>
                    </td>
                    <td class="pa-0">
                      <p
                        class="fsize-16 font-weight-bold lightContentPrimary mb-0"
                      >
                        ${{calcPrice(product) &&
                        $utils.formatCurrency(calcPrice(product))}}
                      </p>
                    </td>
                  </tr>
                </tbody>
              </template>
            </v-simple-table>
            <div
              class="d-flex justify-center my-2"
              v-if="listProduct.length == 0 && !loadingTableProduct"
            >
              <div>
                <div class="d-flex align-center justify-center">
                  <img
                    src="~/assets/images/no-product.png"
                    alt=""
                    width="136"
                    height="136"
                  />
                </div>
                <p class="mb-0 text-center colorGreyHeaderTable">
                  Before you open your store, first you need some products.
                </p>
                <p class="mb-0 text-center fsize-11 colorGreyHeaderTable">
                  Your added Product will be shown here
                </p>
              </div>
            </div>
            <div class="d-flex justify-center mt-4">
              <v-pagination
                v-model="configProduct.page"
                :length="totalPageProduct"
                :total-visible="5"
                class="pagination"
              >
              </v-pagination>
            </div>
            <div class="mt-4 d-flex align-center justify-end">
              <v-btn
                text
                @click="dialogAddProduct = false"
                class="d-none d-sm-block"
              >
                <p class="mb-0 fsize-16 font-weight-bold lightContentPrimary">
                  Cancel
                </p>
              </v-btn>
              <v-btn
                color="#076CE3"
                class="elevation-0 ml-3"
                @click="onAddProduct()"
                :disabled="loading"
              >
                <v-progress-circular
                  indeterminate
                  color="#076CE3"
                  v-if="loading"
                  size="22"
                >
                </v-progress-circular>
                <p
                  class="mb-0 fsize-16 font-weight-bold white--text text-none"
                  v-else
                >
                  Add Product
                </p>
              </v-btn>
            </div>
          </div>
        </div>
      </v-card>
    </v-dialog>
  </v-row>

  <v-row justify="center">
    <v-dialog v-model="dialogDeleteProduct" max-width="383">
      <v-card class="pa-0">
        <div class="py-5 px-6">
          <div class="d-flex align-center justify-center">
            <v-icon color="#EB5757" size="56"> mdi-delete-forever </v-icon>
          </div>
          <p class="mb-0 mt-4 h6 text-center contentSemanticRed">
            Delete Product
          </p>
          <p class="mt-6 fsize-16 contentMain">
            Do you want to delete this product {{findNameProduct}}?
          </p>
        </div>
        <div class="pb-8 px-4 d-flex align-center justify-space-between">
          <v-btn
            text
            width="49%"
            @click="dialogDeleteProduct = false"
            :disabled="loading"
          >
            <p class="mb-0 fsize-16 font-weight-bold lightContentPrimary">
              Cancel
            </p>
          </v-btn>
          <v-btn
            color="#FF5252"
            class="elevation-0"
            width="49%"
            @click="onDeleteProduct()"
            :disabled="loading"
          >
            <v-progress-circular
              indeterminate
              color="#FF5252"
              v-if="loading"
              size="22"
            >
            </v-progress-circular>
            <p class="mb-0 fsize-16 font-weight-bold white--text" v-else>
              Delete
            </p>
          </v-btn>
        </div>
      </v-card>
    </v-dialog>
  </v-row>
</div>
